---
labels:
  - GraphQL
internalOnly: false
learnMore: https://www.apollographql.com/docs/apollo-server/api/apollo-server/#extensions
learnMoreText: See extensions in Apollo Server docs
---

An optional part of a GraphQL response that provides additional metadata that can aid in communication between the server and client and enhance the response handling process. See an example below.

```json
{
  "data": {
    "user": {
      "id": "123",
      "name": "John Doe",
      "email": "john.doe@example.com"
    }
  },
  "extensions": {
    "metadata": {
      "requestId": "abc123",
      "timestamp": "2023-01-01T12:00:00Z"
    }
  }
}
```
